# aDeInt

## Résumé

auteur: MArcFD
version: beta 1
description rapide: a fast, spatial, simple but accurate deinterlacer
requiert: a iSSE compatible cpu & YV12 input is required.
syntaxe: aDeInt(int "tff", int "ly", int "lc", bool "alt")

## Description

Ce filtre is just a fast, robust and hopfully usefull deinterlacing filter. it's very similar to Decomb's FieldDeinterlace in the way it detects combing. i don't claim this stuff to be much better than anything else, but it just removes deinterlacing and it does it well and fast enough for me. (less than 5c per pixel, about 50 mhz cpu usage in PAL DVD resolution)

## Parameters

tff : (top field first)
simply use what fit best your needs ^^
default : 0 (bff)
ly, lc :
luma and chroma limits. no tresholds in Ce filtre,
i don't like the artifacts it may introduce.
default : 9,6 (recommended)
alt :
enable alt mode for smartbobing. tff changes for every frame.
use DoubleWeave().aDeInt(alt=true)
default : false (disabled)